
# ~/.kshrc

# put all configurations understood by ksh here

#echo "~/.kshrc"

HOME_KSHRC=1
export HOME_KSHRC

. "${HOME}/.shinit.sh"
HOME_SHINIT="1"
export HOME_SHINIT


#if [ -n "$HOME_SHINIT" ]
#then
# if [ "$HOME_SHINIT" -gt 0 ]
# then
#  echo PAH ~/.shinit.sh
#  :
#  fi
#else
#  echo SUCK ~/.shinit.sh
#  . "${HOME}/.shinit.sh"
#  HOME_SHINIT="1"
#  export HOME_SHINIT
#fi

if test -f /usr/xpg4/bin/id
then
    ID_BIN="/usr/xpg4/bin/id"
else
    ID_BIN="id"
fi


case $- in *i*)
    # Add here all commands, that must be run under interactive shells only
    # (both login- and non-login)
    #echo "Interactive shell!"

    HISTFILE="${HOME}/.ksh_history"
    export HISTFILE

    set -o gmacs
case "$SHELL" in
    *mksh|*pdksh)
    #echo "Not AT&T KSH"
    # keep current directory for the prompt
    function _cd {
    typeset dir=HOME
    "cd" "$@"
    _pwd="$PWD"
}
alias cd=_cd
_cd .
;;
*)
# Use keyboard trap to map keys to other keys
# note that escape sequences vary for different terminals so these
# may not work for you
trap '.sh.edchar=${keymap[${.sh.edchar}]:-${.sh.edchar}}' KEYBD
keymap=(
# Does not work without this. Does not work with this.
#[$'\eOD']=$'\eb'   # Ctrl-Left  -> move word left
# Does not work without this. Does not work with this.
#[$'\eOC']=$'\ef'   # Ctrl-Right -> move word right
# Do not work without this:
[$'\e[3~']=$'\cd'  # Delete     -> delete to right
# Works fine without this:
#[$'\e[1~']=$'\ca'  # Home       -> move to beginning of line
# Does not work without this. Does not work with this.
#[$'\e[4~']=$'\ce'  # End        -> move to end of line
)

# keep current directory for the prompt
function _cd {
typeset -n dir=HOME
"cd" "$@"
_pwd="$PWD"
    }
alias cd=_cd
_cd .

esac


if test "`$ID_BIN -u`" = 0
then
    PS1='-=*[ROOT KSH]*=- ${SHELL} | `date` | [!]
$_pwd
# '
else
    PS1='[${SHELL}] | `date` | [!]
$_pwd
$ '
fi

export PS1


# End stuff for interactive-shells only
esac



